using FastBlog.Core.Models;
using FastBlog.Core.Models.Files;

namespace FastBlog.Core.Abstractions.Repositories.Files;

public interface IFileMetaRepository
{
    Task<PagedResponse<FileMeta>> List(PagedRequest request);
    Task<FileMeta?> Get(int id);
    Task<Result<FileMeta, BusinessError>> Add(FileMeta meta);
    Task<bool> Delete(FileMeta meta);
}